(function removeLink(Drupal, $) {
  Drupal.behaviors.removeLink = {
    attach(context) {
      $('.remove-link', context)
        .once('remove-link')
        .on('click', function remove(e) {
          e.preventDefault();
          const rowId = $(this).data('row-id');
          $(`#${rowId}`).remove();
          $(this).prop('disabled', true);
          this.value = 'Removed';
        });
    },
  };
})(Drupal, jQuery);
