(function scrollToCustomLinks(Drupal, $) {
  Drupal.behaviors.scrollToCustomLinks = {
    attach(context) {
      // Scroll to #custom-links on page load if present.
      const customLinks = $('#custom-links-wrapper', context);
      if (customLinks.length) {
        window.scrollTo({
          top: customLinks.offset().top - 50,
          behavior: 'smooth',
        });
      }
    },
  };
})(Drupal, jQuery);
